PUT /api/v202108/notification

Bulk-updates notifications by marking them read, unread, or archived

UpdateListOfNotificationsV202108
Only notifications belonging to the current user can be updated. Supported actions: Read, Unread, Archive.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

NotificationUpdateRequest
Property Description Type
action Action to perform Unread marks all notifications in the list as unread Read marks all notifications in the list as read Archived marks all notifications in the list as archived Unarchived marks all notifications in the list as unarchived One of ‘Read’, ‘Unread’, ‘Archived’, ‘Unarchived’ Required string
notificationIds List of notification ids to perform the action on Cannot be Empty Required (defined) integer[]
Example Request Body application/json
{  "action": "string",  "notificationIds": [
    1
  ]
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

UpdateResult
Property Description Type
selected The total number of items that were targeted by the bulk operation Required (defined) integer (int32)
updated The number of items that were actually modified (excludes items that already matched the target state) Required (defined) integer (int32)
Example Response application/json
{  "selected": 1,  "updated": 1
}